#!/bin/bash
#
# Будильник на Asterisk
# Maxim Vityazev (max@vityazev.me) 2015
#
CALLPATH='/var/spool/asterisk/outgoing'	# Каталог call-файлов Asterisk
CHANNEL='Dongle\dongle0'	# Исходящий канал
MAXRETRIES='2'		# Количество попыток дозвона
RETRYTIME='120'		# Задержка между попытками
WAITTIME='30'		# Время ожидания ответа
DATA='/var/lib/asterisk/sounds/ru/wakeup'	# Путь к воспроизводимому аудиофайлу

DEBUG=true	# Вывод отладочной информации

CURDATE=`date '+%u'`
CURTIME=`date '+%H:%M'`

call ()
{
if [ "$CURTIME" = "$2" ]
then
if [ $DEBUG ]; then echo -e "Make call file: $1.call \n"; fi
echo -e "Channel: $CHANNEL\\$1\n\
CallerID: Ringer\n\
MaxRetries: $MAXRETRIES\n\
RetryTime: $RETRYTIME\n\
WaitTime: $WAITTIME\n\
Application: Playback\n\
Data: $DATA\n\
Archive: yes" > $CALLPATH/$1.call
fi
}

OLDIFS=$IFS
IFS=","
while read tel mon tue wed thu fri sat sun
 do

    if [ $DEBUG ]
    then
	echo -e "Number: $tel \n\
	Mon :\t $mon\n\
	Tue :\t $tue\n\
	Wed :\t $wed\n\
	Thu :\t $thu\n\
	Fri :\t $fri\n\
	Sat :\t $sat\n\
	Sun :\t $sun\n"
    fi

    if [ "$CURDATE" = "1" -a "$mon" ]
    then
	call $tel $mon
    fi

    if [ "$CURDATE" = "2" -a "$tue" ]
    then
	call $tel $tue
    fi

    if [ "$CURDATE" = "3" -a "$wed" ]
    then
	call $tel $wed
    fi

    if [ "$CURDATE" = "4" -a "$thu" ]
    then
	call $tel $thu
    fi

    if [ "$CURDATE" = "5" -a "$fri" ]
    then
	call $tel $fri
    fi

    if [ "$CURDATE" = "6" -a "$sat" ]
    then
	call $tel $sat
    fi

    if [ "$CURDATE" = "7" -a "$sun" ]
    then
	call $tel $sun
    fi

 done < $1
 IFS=$OLDIFS
